<?php

function acf_faculty_member_block()
{

    // check function exists
    if (function_exists('acf_register_block')) {

        // register a portfolio item block
        acf_register_block(array(
            'name'                => 'faculty_member',
            'title'                => __('Faculty Member'),
            'description'        => __('A custom block for faculty information.'),
            'render_template'    => 'template-parts/blocks/faculty-member/block-faculty-member.php',
            'category'            => 'layout',
            'icon'                => 'businessperson',
            'keywords'            => array('faculty'),
        ));
    }
}

add_action('acf/init', 'acf_faculty_member_block');
